
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.template.CommandTemplateRequest;
import cn.orionsec.ops.entity.vo.template.CommandTemplateVO;

import java.util.List;

public interface CommandTemplateService {

    /**
     * 添加模板
     *
     * @param request request
     * @return id
     */
    Long addTemplate(CommandTemplateRequest request);

    /**
     * 更新模板
     *
     * @param request request
     * @return effect
     */
    Integer updateTemplate(CommandTemplateRequest request);

    /**
     * 模板列表
     *
     * @param request request
     * @return rows
     */
    DataGrid<CommandTemplateVO> listTemplate(CommandTemplateRequest request);

    /**
     * 模板详情
     *
     * @param id id
     * @return vo
     */
    CommandTemplateVO templateDetail(Long id);

    /**
     * 删除模板
     *
     * @param idList idList
     * @return effect
     */
    Integer deleteTemplate(List<Long> idList);

}
